Subject: Re: [Cbe-oss-dev] [patch 02/13] powerpc: add hvc backend for rtas

From: Arnd Bergmann <[email-masked]>
Date: Thu, 23 Mar 2006 23:36:19 +0100

Am Thursday 23 March 2006 22:32 schrieb Olof Johansson:
> > +static inline int hvc_rtas_write_console(uint32_t vtermno, const char
> > *buf, int count) +{
> > +     int done;
> > +
> > +     /* if there is more than one character to be displayed, wait a bit */
> > +     for (done = 0; done < count; done++) { 
> > +             int result;
> > +             result = rtas_call(rtascons_put_char_token, 1, 1, NULL, buf[done]);
> > +             if (result) 
> > +                     break;
>
> Why introduce a scope-local variable just to check it?
>                 if(rtas_call(...))   would be cleaner.

I don't like doing the important stuff inside of another expression,
and I prefer conditions not to have side-effects.
If nobody else has a strong opinion on it, I'd prefer to leave it.

BTW, who is the current maintainer of hvc_console? Ryan is working on
glibc nowadays, right?

> > +     /* Really the fun isn't over until the worker thread breaks down
> > and the +      * tty cleans up */
> > +     if (hvc_rtas_dev)
> > +             hvc_remove(hvc_rtas_dev);
> > +}
> > +module_exit(hvc_rtas_exit); /* before drivers/char/hvc_console.c */
>
> Cryptic comment?

No idea how what it was about, I'll remove it.

	Arnd <><